Package jxl.format

# Class UnderlineStyle

java.lang.Object
jxl.format.UnderlineStyle

public final class UnderlineStyle extends Object
Enumeration class which contains the various underline styles available within the standard Excel UnderlineStyle palette

## Field Summary

Fields
Modifier and Type
Field
Description
`static final UnderlineStyle`
`DOUBLE`
`static final UnderlineStyle`
`DOUBLE_ACCOUNTING`
`static final UnderlineStyle`
`NO_UNDERLINE`
`static final UnderlineStyle`
`SINGLE`
`static final UnderlineStyle`
`SINGLE_ACCOUNTING`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Gets the string description for display purposes
`static UnderlineStyle`
`getStyle(int val)`
Gets the UnderlineStyle from the value
`int`
`getValue()`
Gets the value of this style.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NO_UNDERLINE

public static final UnderlineStyle NO_UNDERLINE

### SINGLE

public static final UnderlineStyle SINGLE

### DOUBLE

public static final UnderlineStyle DOUBLE

### SINGLE_ACCOUNTING

public static final UnderlineStyle SINGLE_ACCOUNTING

### DOUBLE_ACCOUNTING

public static final UnderlineStyle DOUBLE_ACCOUNTING

## Method Details

### getValue

public int getValue()
Gets the value of this style. This is the value that is written to the generated Excel file

Returns:
  the binary value

### getDescription

public String getDescription()
Gets the string description for display purposes

Returns:
  the string description

### getStyle

public static UnderlineStyle getStyle(int val)
Gets the UnderlineStyle from the value

Parameters:
  `val` -
Returns:
  the UnderlineStyle with that value